package com.upyuns.platform.rs.datacenter.pojo.rscloudbox;

import java.io.Serializable;
import java.util.Date;

public class ImageDataDto implements Serializable {

	private static final long serialVersionUID = 1L;
	private String id;
	private String dataNo;
	private String categoryId;
	private String name;
	private String range;
	private String thumbnailPath;
	private String displayName;
	private String imageResolution;
	private String imageSpectrumType;
	private String imageSpectrumTypeDisplay;
	private String imageRowCol;
	private String imageRow;
	private String imageCol;
	private String imageProductType;
	private String imageProductTypeDisplay;
	private String imageFilePath;
	private String imageCenterPoint;
	private String imageProvince;
	private String imageCity;
	private String imageArea;
	private String imageProjection;
	private String imageSatelliteType;
	private String imageSatelliteTypeDisplay;
	private String imageTakeTime;
	private Double imageCloudage;
	private String imageProductLevel;
	private String imageObservation;
	private String imageSensorType;
	private Double sellPrice;
	private Integer isSell;
	private Integer isDel;
	private String remark;
	private String files;
	private String imageWmsPath;
	private String imageOutPath;
	private Integer imageIsSave;
	private Date createDt;
	private String jobId;
	private Integer correctStatus;
	// 序列号
	private String imageSceneId;
	// 产品号
	private String imageProductId;
	
	private String imageStartTime;
	private String imageEndTime;
	private String imageProductTime;
	private String imageSensorId;
	
	public String getImageSensorId() {
		return imageSensorId;
	}

	public void setImageSensorId(String imageSensorId) {
		this.imageSensorId = imageSensorId;
	}

	public String getImageProductTime() {
		return imageProductTime;
	}

	public void setImageProductTime(String imageProductTime) {
		this.imageProductTime = imageProductTime;
	}

	public String getImageStartTime() {
		return imageStartTime;
	}

	public void setImageStartTime(String imageStartTime) {
		this.imageStartTime = imageStartTime;
	}

	public String getImageEndTime() {
		return imageEndTime;
	}

	public void setImageEndTime(String imageEndTime) {
		this.imageEndTime = imageEndTime;
	}

	public String getId() {
		return id;
	}

	public void setId(String id) {
		this.id = id;
	}

	public String getDataNo() {
		return dataNo;
	}

	public void setDataNo(String dataNo) {
		this.dataNo = dataNo;
	}

	public String getCategoryId() {
		return categoryId;
	}

	public void setCategoryId(String categoryId) {
		this.categoryId = categoryId;
	}

	public String getName() {
		return name;
	}

	public void setName(String name) {
		this.name = name;
	}

	public String getRange() {
		return range;
	}

	public void setRange(String range) {
		this.range = range;
	}

	public String getThumbnailPath() {
		return thumbnailPath;
	}

	public void setThumbnailPath(String thumbnailPath) {
		this.thumbnailPath = thumbnailPath;
	}

	public String getDisplayName() {
		return displayName;
	}

	public void setDisplayName(String displayName) {
		this.displayName = displayName;
	}

	public String getImageResolution() {
		return imageResolution;
	}

	public void setImageResolution(String imageResolution) {
		this.imageResolution = imageResolution;
	}

	public String getImageSpectrumType() {
		return imageSpectrumType;
	}

	public void setImageSpectrumType(String imageSpectrumType) {
		this.imageSpectrumType = imageSpectrumType;
	}

	public String getImageSpectrumTypeDisplay() {
		return imageSpectrumTypeDisplay;
	}

	public void setImageSpectrumTypeDisplay(String imageSpectrumTypeDisplay) {
		this.imageSpectrumTypeDisplay = imageSpectrumTypeDisplay;
	}

	public String getImageRowCol() {
		return imageRowCol;
	}

	public void setImageRowCol(String imageRowCol) {
		this.imageRowCol = imageRowCol;
	}

	public String getImageRow() {
		return imageRow;
	}

	public void setImageRow(String imageRow) {
		this.imageRow = imageRow;
	}

	public String getImageCol() {
		return imageCol;
	}

	public void setImageCol(String imageCol) {
		this.imageCol = imageCol;
	}

	public String getImageProductType() {
		return imageProductType;
	}

	public void setImageProductType(String imageProductType) {
		this.imageProductType = imageProductType;
	}

	public String getImageProductTypeDisplay() {
		return imageProductTypeDisplay;
	}

	public void setImageProductTypeDisplay(String imageProductTypeDisplay) {
		this.imageProductTypeDisplay = imageProductTypeDisplay;
	}

	public String getImageFilePath() {
		return imageFilePath;
	}

	public void setImageFilePath(String imageFilePath) {
		this.imageFilePath = imageFilePath;
	}

	public String getImageCenterPoint() {
		return imageCenterPoint;
	}

	public void setImageCenterPoint(String imageCenterPoint) {
		this.imageCenterPoint = imageCenterPoint;
	}

	public String getImageProvince() {
		return imageProvince;
	}

	public void setImageProvince(String imageProvince) {
		this.imageProvince = imageProvince;
	}

	public String getImageCity() {
		return imageCity;
	}

	public void setImageCity(String imageCity) {
		this.imageCity = imageCity;
	}

	public String getImageArea() {
		return imageArea;
	}

	public void setImageArea(String imageArea) {
		this.imageArea = imageArea;
	}

	public String getImageProjection() {
		return imageProjection;
	}

	public void setImageProjection(String imageProjection) {
		this.imageProjection = imageProjection;
	}

	public String getImageSatelliteType() {
		return imageSatelliteType;
	}

	public void setImageSatelliteType(String imageSatelliteType) {
		this.imageSatelliteType = imageSatelliteType;
	}

	public String getImageSatelliteTypeDisplay() {
		return imageSatelliteTypeDisplay;
	}

	public void setImageSatelliteTypeDisplay(String imageSatelliteTypeDisplay) {
		this.imageSatelliteTypeDisplay = imageSatelliteTypeDisplay;
	}

	public String getImageTakeTime() {
		return imageTakeTime;
	}

	public void setImageTakeTime(String imageTakeTime) {
		this.imageTakeTime = imageTakeTime;
	}

	public Double getImageCloudage() {
		return imageCloudage;
	}

	public void setImageCloudage(Double imageCloudage) {
		this.imageCloudage = imageCloudage;
	}

	public String getImageProductLevel() {
		return imageProductLevel;
	}

	public void setImageProductLevel(String imageProductLevel) {
		this.imageProductLevel = imageProductLevel;
	}

	public String getImageObservation() {
		return imageObservation;
	}

	public void setImageObservation(String imageObservation) {
		this.imageObservation = imageObservation;
	}

	public String getImageSensorType() {
		return imageSensorType;
	}

	public void setImageSensorType(String imageSensorType) {
		this.imageSensorType = imageSensorType;
	}

	public Double getSellPrice() {
		return sellPrice;
	}

	public void setSellPrice(Double sellPrice) {
		this.sellPrice = sellPrice;
	}

	public Integer getIsSell() {
		return isSell;
	}

	public void setIsSell(Integer isSell) {
		this.isSell = isSell;
	}

	public Integer getIsDel() {
		return isDel;
	}

	public void setIsDel(Integer isDel) {
		this.isDel = isDel;
	}

	public String getRemark() {
		return remark;
	}

	public void setRemark(String remark) {
		this.remark = remark;
	}

	public String getFiles() {
		return files;
	}

	public void setFiles(String files) {
		this.files = files;
	}

	public String getImageWmsPath() {
		return imageWmsPath;
	}

	public void setImageWmsPath(String imageWmsPath) {
		this.imageWmsPath = imageWmsPath;
	}

	public String getImageOutPath() {
		return imageOutPath;
	}

	public void setImageOutPath(String imageOutPath) {
		this.imageOutPath = imageOutPath;
	}

	public Integer getImageIsSave() {
		return imageIsSave;
	}

	public void setImageIsSave(Integer imageIsSave) {
		this.imageIsSave = imageIsSave;
	}

	public Date getCreateDt() {
		return createDt;
	}

	public void setCreateDt(Date createDt) {
		this.createDt = createDt;
	}

	public String getJobId() {
		return jobId;
	}

	public void setJobId(String jobId) {
		this.jobId = jobId;
	}

	public Integer getCorrectStatus() {
		return correctStatus;
	}

	public void setCorrectStatus(Integer correctStatus) {
		this.correctStatus = correctStatus;
	}

	public String getImageSceneId() {
		return imageSceneId;
	}

	public void setImageSceneId(String imageSceneId) {
		this.imageSceneId = imageSceneId;
	}

	public String getImageProductId() {
		return imageProductId;
	}

	public void setImageProductId(String imageProductId) {
		this.imageProductId = imageProductId;
	}
}